/**
 * @file tdesignerventanuco.cpp
 * @brief Esta clase herada de un QDialog y crea un Form hecho con Designer
 *
 * @author Angel Perles
 */

#include "tdesignerventanuco.h"

// constructor de la clase -----------------------------------------------------------------
TDesignerVentanuco::TDesignerVentanuco(QWidget *parent) :
    QDialog(parent),            // construir el QDialos
    ui(new Ui::FDesignerVentanuco)  // construir el designer
{
    ui->setupUi(this);          // necesario para mostrar el Designer

    // ejemplo de conexion de un slot definido por el usuario
    connect(ui->btToquetear,SIGNAL(clicked()),this,SLOT(saludo()));
}

// destructor de la clase -----------------------------------------------------------------
TDesignerVentanuco::~TDesignerVentanuco()
{
    delete ui;
}

// un metodo publico que es un slot -------------------------------------------------------
void TDesignerVentanuco::saludo(void) {
    // enviamos el mensaje al titulo del dialog
    setWindowTitle(tr("Good day! SII!"));
    ui->lbEtiqueta->setText(tr("Hello"));
}
